Bug 527512 (CVE-2009-2950) - CVE-2009-2950 openoffice.org: GIF file parsing heap overflow
Summary: CVE-2009-2950 openoffice.org: GIF file parsing heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2950
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=upstream,repor...
Depends On: 529747 529748 529749 529750 529751 529752 529753
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 17:47 UTC by Vincent Danen
Modified: 2019-06-08 12:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 10:05:33 UTC


Attachments (Terms of Use)
upstream proposed patch (2.11 KB, patch)
2009-10-16 08:23 UTC, Caolan McNamara
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0101 normal SHIPPED_LIVE Important: openoffice.org security update 2010-02-12 16:21:30 UTC

Description Vincent Danen 2009-10-06 17:47:30 UTC
It was reported that it was possible to trigger a heap overflow leading to heap memory corruption in the way that OpenOffice.org parsed GIF files.  This is not restricted to GIF files alone, but to embedded GIF files in OpenOffice.org documents.  The bug is found in GIFLZWDecompressor::GIFLZWDecompressor (source/filter.vcl/lgif/decode.cxx) and is triggered during LZW decompression of GIF file content.

Comment 3 Caolan McNamara 2009-10-06 19:12:18 UTC
This is assigned CVE-2009-2950

Comment 10 Caolan McNamara 2009-10-16 08:23:52 UTC
Created attachment 365023 [details]
upstream proposed patch

upstream patch, should basically be relevant for all OOo releases

Comment 14 Jan Lieskovsky 2010-02-12 13:39:08 UTC
Public now via:
  http://www.openoffice.org/security/bulletin.html

Comment 16 errata-xmlrpc 2010-02-12 16:22:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0101 https://rhn.redhat.com/errata/RHSA-2010-0101.html

Comment 17 Fedora Update System 2010-02-13 11:56:24 UTC
openoffice.org-3.1.1-19.12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.12.fc11

Comment 18 Fedora Update System 2010-02-13 11:59:29 UTC
openoffice.org-3.1.1-19.26.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.26.fc12

Comment 19 Fedora Update System 2010-02-16 13:01:55 UTC
openoffice.org-3.1.1-19.26.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-02-16 13:23:43 UTC
openoffice.org-3.1.1-19.12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.